%define firefox_ver	2.0.0.5

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Kaffeine plugin for Mozilla compatible browsers
Name:		kaffeine-mozilla
Version:	0.2
Release:	3
License:	GNU/GPL 
URL:		http://kaffeine.sourceforge.net
Group:		Video
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	firefox >= %{firefox_ver} kaffeine
BuildRequires: 	libICE-devel
BuildRequires: 	libSM-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXaw-devel
BuildRequires: 	libXt-devel
BuildRequires: 	glibc-devel

%description
This package contains a Mozilla browser plugin that makes it possible
to use the Kaffeine movie player in Mozilla compatible browsers.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=/usr/lib/netscape/
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/netscape/plugins/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2-3
- rebuilt against firefox 2.0.0.5
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.2-2
- rebuild against latest Firefox
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2-1
- Initial Release
